import { Button, Flex, Heading, Text } from "@radix-ui/themes";
import { ExternalLinkIcon } from "lucide-react";
import Link from "next/link";

export default function ApiKeys() {
  return (
    <>
      <Flex justify="between" align="center" direction="row" gap="5">
        <Flex direction="column">
          <Heading>API keys</Heading>
          <Text size="3" weight="light">Generate long lasting API keys that can be used to perform certain actions programatically.</Text>
        </Flex>
        <Link href="/api-doc" target="_blank">
          <Button variant="outline">API docs <ExternalLinkIcon size="16" /></Button>
        </Link>
      </Flex>
    </>
  );
}